Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 688850 - media-video/shotcut depends on deprecated dev-qt/qtwebkit:5
Summary: media-video/shotcut depends on deprecated dev-qt/qtwebkit:5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Dmitry Baranov
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: qtwebkit-removal
  Show dependency tree
 
Reported: 2019-06-27 18:33 UTC by Andreas Sturmlechner
Modified: 2020-11-21 23:03 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch to version 20.10.31 (patch.diff,212 bytes, patch)
2020-11-02 20:47 UTC, Jan-Willem Liebezeit
Details | Diff
Proposed shotcut-20-10-31.ebuild (shotcut-20.10.31.ebuild,766 bytes, text/plain)
2020-11-19 04:42 UTC, Drake Donahue
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2019-06-27 18:33:46 UTC
Is there any upstream effort to port away from it?
Comment 1 Henrik Pihl 2020-08-03 17:43:07 UTC
Just a tiny bump on this matter, by the lead developer : "Not until it is possible to retrieve rendered images by API and then only after WebVfx has been updated to support that." (June 2020)

https://forum.shotcut.org/t/is-that-any-plan-for-porting-from-qt-webkit-to-qt-webengine/5816/4
Comment 2 Dmitry Baranov 2020-08-05 18:31:05 UTC
It is possible to get rid of media-libs/webvfx from depends (which requires webkit). Please see:

https://github.com/reagentoo/gentoo-overlay/blob/master/media-video/shotcut/shotcut-9999.ebuild#L67-L106

But as we discussed in the past this seds doesn't worthy to be in the portage tree. And I do not mind if you remove shotcut/webvfx. These projects are generally outdated and have no prospects.
Comment 3 Henrik Pihl 2020-08-15 11:30:56 UTC
The alternative to that is a 1.5MB uncompressed patch addition - is that a more suitable solution than the 40 lines of sed? In that case, I'm thinking it would make be more logical to host the patched tarball until the upstream provides some better solution.
Comment 4 Dmitry Baranov 2020-08-15 11:58:09 UTC
It's a great idea to shit the tree with a 1.5MB patch. Anyway I will not do any updates for this package. I suggest to remove shotcut,webvfx from the tree.
Comment 5 Joonas Niilola gentoo-dev 2020-08-15 14:50:23 UTC
You can put the patch in your Github/Gitlab, or we can host it in devspace, where you can just download it via SRC_URI in ebuild. But maybe the overall situation of this package needs to be resolved first.
Comment 6 Andreas Sturmlechner gentoo-dev 2020-08-15 21:32:12 UTC
A 1.5 MB downstream patch is never going to happen, that's a very simple no regardless of technicalities whether it is shipped in git or as tarball.
Comment 7 Larry the Git Cow gentoo-dev 2020-10-23 16:15:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97213464378a284b250c6e0c1b1b956d1e79b4fd

commit 97213464378a284b250c6e0c1b1b956d1e79b4fd
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-10-23 16:12:55 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-10-23 16:12:55 +0000

    profiles: Mask media-libs/webvfx, media-video/shotcut for removal
    
    Bug: https://bugs.gentoo.org/688850
    Bug: https://bugs.gentoo.org/744199
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 8 Michelangelo Scopelliti 2020-10-24 13:20:30 UTC
Don't you think masking the package is too hasty?

October, 6:
https://github.com/mltframework/shotcut/commit/a44fe75a4dc7410668935cd0d3470994f5997571
"remove qtwebkit and webvfx dependencies"

October, 14:
https://github.com/mltframework/shotcut/commit/488fc0035466bb0a599eb82734bed9732b4c44d8
"Merge branch 'refs/heads/drop_qtwebkit'"

This is in contrast with package.mask statement "no work towards QtWebEngine port at all".

If you look just qtwebkit, openshot too should be masked; and I don't see too many alternatives.
Comment 9 Andreas Sturmlechner gentoo-dev 2020-10-24 13:34:15 UTC
openshot was ported away in master.
Comment 10 Stephen Cavilia 2020-11-01 01:04:09 UTC
Even the most recent 20.09.13 release mentions deprecation/removal of qtwebkit, so I also object to the "no work towards QtWebEngine port at all" claim.
Comment 11 Andreas Sturmlechner gentoo-dev 2020-11-01 06:40:48 UTC
If you are sensitive to the wording I can change that; it was made according to knowledge in this thread at the time. But considering this bug was filed 1.5 years ago, and the maintainer have since declared they would no longer work on it, the masking certainly isn't 'hasty' and also won't go away unless someone agrees to do the maintenance.
Comment 12 Larry the Git Cow gentoo-dev 2020-11-01 17:00:01 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18d950b2796ddc101e36c7bfab432588a9c23064

commit 18d950b2796ddc101e36c7bfab432588a9c23064
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-11-01 08:45:11 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-11-01 16:59:48 +0000

    profiles: Split media-video/shotcut and media-libs/webvfx package.mask
    
    Bug: https://bugs.gentoo.org/688850
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/package.mask | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)
Comment 13 Jan-Willem Liebezeit 2020-11-02 20:47:51 UTC
Created attachment 669800 [details, diff]
patch to version 20.10.31

This patch works for me (amd64) with version 20.10.31 which as per https://www.shotcut.org/blog/new-release-201031/ removed QtWebKit and WebVfx. The additional use flag for media-libs/mlt is necessary as shotcut uses /usr/bin/melt to export files.
Comment 14 Drake Donahue 2020-11-19 04:42:29 UTC
Created attachment 672703 [details]
Proposed shotcut-20-10-31.ebuild

upstream upgrade to version 20.10-31 removed dependency on webvfx and qtwebkit
ebuild works and shotcut works on ~amd64
Comment 15 Andreas Sturmlechner gentoo-dev 2020-11-20 21:21:08 UTC
(In reply to Drake Donahue from comment #14)
> Created attachment 672703 [details]
> Proposed shotcut-20-10-31.ebuild
> 
> upstream upgrade to version 20.10-31 removed dependency on webvfx and
> qtwebkit
> ebuild works and shotcut works on ~amd64

Wow, it *only* depends on media-libs/mlt now? That's wild.
Comment 16 Larry the Git Cow gentoo-dev 2020-11-21 23:01:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e5ddce239de8a73d82b1887b41c3c55971d4345

commit 0e5ddce239de8a73d82b1887b41c3c55971d4345
Author:     Felix Neumärker <xdch47@posteo.de>
AuthorDate: 2020-11-06 08:22:50 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-11-21 22:51:30 +0000

    media-video/shotcut: version bump to 20.10.31
    
    Closes: https://bugs.gentoo.org/688850
    Package-Manager: Portage-3.0.9, Repoman-3.0.2
    Signed-off-by: Felix Neumärker <xdch47@posteo.de>
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-video/shotcut/Manifest                |  1 +
 media-video/shotcut/shotcut-20.10.31.ebuild | 54 +++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58543cb3ab79bf81b35cfa1b71cdf8f55b837a8d

commit 58543cb3ab79bf81b35cfa1b71cdf8f55b837a8d
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-11-21 22:49:30 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-11-21 22:49:30 +0000

    media-libs/webvfx: Remove last-rited package
    
    Bug: https://bugs.gentoo.org/688850
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-libs/webvfx/Manifest            |  1 -
 media-libs/webvfx/metadata.xml        | 18 ----------
 media-libs/webvfx/webvfx-1.2.0.ebuild | 64 -----------------------------------
 profiles/package.mask                 |  5 ---
 4 files changed, 88 deletions(-)